SRS Integration Partner Services
HomeV1 APIs
V2 APIs
HomeV1 APIs
V2 APIs
  1. Products
  • Authentication
    • Token
      POST
  • Orders
    • Delivery Details
      GET
    • Deliveries list
      POST
    • Proof of Delivery
      GET
    • Order Details
      GET
    • Order list
      POST
    • Submit Order
      POST
  • Invoices
    • Invoice Details
      GET
    • Invoices List
      POST
    • Invoice PDF
      GET
  • Customers
    • Customer Details
      GET
    • Validate Customer
      GET
    • Nearest Eligible Branch
      GET
    • Ship to Address
      GET
    • Order Templates
      GET
  • Products
    • Pricing
      POST
    • UOM Conversion
      GET
  • Branches
    • Branch Active Items
      GET
    • Branch Details
      GET
HomeV1 APIs
V2 APIs
HomeV1 APIs
V2 APIs
  1. Products

UOM Conversion

GET
/products/UOMConversion/{itemCode}
The UOM Conversion API retrieves unit-of-measure conversion details for a specific product identified by its itemCode. It returns conversion factors and related information to help translate items between different units of measure.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://services-qa.roofhub.pro/products/UOMConversion/TARMS300' \
--header 'Authorization: Bearer'

Responses

🟢200
application/json
Body

Example
{
  "itemConversionList": [
    {
      "fromUOMCode": "RL",
      "toUOMCode": "RL",
      "conversionFactor": 1,
      "UOMConversionDescription": "1 RL IN 1 RL",
      "itemCode": "TARMS300",
      "itemDescription": "TARCO MS300 LEAKBARRIER ICE & WATER",
      "itemSize": "*** USE TARMS300UB"
    },
    {
      "fromUOMCode": "PAL",
      "toUOMCode": "RL",
      "conversionFactor": 0.02,
      "UOMConversionDescription": "50 RL IN 1 PAL",
      "itemCode": "TARMS300",
      "itemDescription": "TARCO MS300 LEAKBARRIER ICE & WATER",
      "itemSize": "*** USE TARMS300UB"
    },
    {
      "fromUOMCode": "FT",
      "toUOMCode": "RL",
      "conversionFactor": 66,
      "UOMConversionDescription": "66 LF IN 1 RL",
      "itemCode": "TARMS300",
      "itemDescription": "TARCO MS300 LEAKBARRIER ICE & WATER",
      "itemSize": "*** USE TARMS300UB"
    }
  ]
}
Modified at 2026-02-10 23:10:49
Previous
Pricing
Next
Branch Active Items
Built with